DepositRateHelper Class Reference

Rate helper for bootstrapping over deposit rates. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for DepositRateHelper:
[legend]

## Public Member Functions

| DepositRateHelper (const Handle< Quote > &rate, const Period &tenor, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter)
| DepositRateHelper (Rate rate, const Period &tenor, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter)
| DepositRateHelper (const Handle< Quote > &rate, const boost::shared_ptr< IborIndex > &iborIndex)
| DepositRateHelper (Rate rate, const boost::shared_ptr< IborIndex > &iborIndex)
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
Visitability
void | accept (AcyclicVisitor &)
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
void | update ()
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | latestDate () const
| latest relevant date More...
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_

## Detailed Description

Rate helper for bootstrapping over deposit rates.

Examples:
  Bonds.cpp, and swapvaluation.cpp.